# -*- rpm-spec -*-
# $Id: ccache,v 1.14 2003/01/06 21:42:34 ab Exp $

Name: ccache
Version: 1.9
Release: alt3.1

Summary: Compiler cache
License: GPL
Group: Development/Other
Url: http://ccache.samba.org/
Source: http://ccache.samba.org/ftp/ccache/ccache-%version.tar.bz2
Patch0: %name-1.9-env-alt.patch

Packager: Victor Forsyuk <force@altlinux.ru>

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%package bte
Summary: Compiler cache support for BTE
Group: Development/Other
Requires(post): /usr/bin/gcc /usr/bin/g++ /usr/bin/cpp ccache

%description bte
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

This package provides compiler cache support for Build and Test Environment.
It is strongly recommended to not install this ccache-bte package
into normal system.

%prep
%setup -q
%patch0 -p1 -b .env

%build
%configure
make

install -d -m 0755 %buildroot%_bindir
install -m 0755 ccache %buildroot%_bindir
install -d -m 0755 %buildroot%_mandir/man1
install -m 0644 ccache.1 %buildroot%_mandir/man1

mkdir -p %buildroot%_sysconfdir/buildreqs/packages/ignore.d
cat > %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name << EOF
%name
EOF

%post bte
/usr/sbin/update-alternatives --install %_bindir/gcc gcc %_bindir/ccache 50
/usr/sbin/update-alternatives --install %_bindir/g++ g++ %_bindir/ccache 50
/usr/sbin/update-alternatives --install %_bindir/cpp cpp %_bindir/ccache 50

%preun bte
/usr/sbin/update-alternatives --remove gcc %_bindir/ccache
/usr/sbin/update-alternatives --remove g++ %_bindir/ccache
/usr/sbin/update-alternatives --remove cpp %_bindir/ccache


%files
%doc README
%_mandir/man1/ccache.1*
%_bindir/ccache
%_sysconfdir/buildreqs/packages/ignore.d/*

%files bte

%changelog
* Mon Jan 06 2003 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt3.1
- Fix dependency loop for post-install and pre-uninstall scriptlets

* Sun Nov 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt3
- Update CC/CXX environment patch to better fit BTE

* Wed Oct 23 2002 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt2
- Integrate BTE support

* Thu Oct 10 2002 Victor Forsyuk <force@altlinux.ru> 1.9-alt1
- Add ignore.d files for buildreq.

* Wed May 29 2002 Victor Forsyuk <force@altlinux.ru> 1.9-alt0.1
- Initial build for Sysiphus.

